/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for iswprint(wint_t).  This function will return a
   non-zero value if the parameter is a printable character including space
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = 'i';
    fputwc(wc, stdout);
    if(iswprint(wc) != 0)
        printf(": is a printable character.\n");
    else
        printf(": is not a printable character.\n");
}

